model-runs
Estimate the time and GPU-seconds a model run on Tasks would take
POST
/
api
/
v1
/
model-runs
/
estimate
Estimate the time and GPU-seconds a model run on Tasks would take
curl --request POST \
--url https://api.nitsor.com/api/v1/model-runs/estimate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentSubject": "<string>",
"classMap": {
"categories": [
{
"classId": "<string>",
"modelClassIds": [
"<string>"
]
}
],
"notProduced": [
"<string>"
]
},
"projectId": "<string>",
"taskIds": [
"<string>"
]
}
'import requests
url = "https://api.nitsor.com/api/v1/model-runs/estimate"
payload = {
"agentSubject": "<string>",
"classMap": {
"categories": [
{
"classId": "<string>",
"modelClassIds": ["<string>"]
}
],
"notProduced": ["<string>"]
},
"projectId": "<string>",
"taskIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentSubject: '<string>',
classMap: {
categories: [{classId: '<string>', modelClassIds: ['<string>']}],
notProduced: ['<string>']
},
projectId: '<string>',
taskIds: ['<string>']
})
};
fetch('https://api.nitsor.com/api/v1/model-runs/estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/model-runs/estimate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agentSubject' => '<string>',
'classMap' => [
'categories' => [
[
'classId' => '<string>',
'modelClassIds' => [
'<string>'
]
]
],
'notProduced' => [
'<string>'
]
],
'projectId' => '<string>',
'taskIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/model-runs/estimate"
payload := strings.NewReader("{\n \"agentSubject\": \"<string>\",\n \"classMap\": {\n \"categories\": [\n {\n \"classId\": \"<string>\",\n \"modelClassIds\": [\n \"<string>\"\n ]\n }\n ],\n \"notProduced\": [\n \"<string>\"\n ]\n },\n \"projectId\": \"<string>\",\n \"taskIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/model-runs/estimate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agentSubject\": \"<string>\",\n \"classMap\": {\n \"categories\": [\n {\n \"classId\": \"<string>\",\n \"modelClassIds\": [\n \"<string>\"\n ]\n }\n ],\n \"notProduced\": [\n \"<string>\"\n ]\n },\n \"projectId\": \"<string>\",\n \"taskIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/model-runs/estimate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agentSubject\": \"<string>\",\n \"classMap\": {\n \"categories\": [\n {\n \"classId\": \"<string>\",\n \"modelClassIds\": [\n \"<string>\"\n ]\n }\n ],\n \"notProduced\": [\n \"<string>\"\n ]\n },\n \"projectId\": \"<string>\",\n \"taskIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"agentSubject": "<string>",
"allowanceGpuSeconds": 1,
"expectedGpuSeconds": 1,
"imageDigest": "<string>",
"modelFamily": "<string>",
"modelVersion": "<string>",
"notProduced": [
"<string>"
],
"perScanReservationSeconds": 123,
"price": null,
"rateVersion": "<string>",
"scans": [
{
"replaces": {
"jobId": "<string>",
"state": "result"
},
"status": "counted",
"taskId": "<string>"
}
],
"targets": [
"<string>"
]
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}Authorizations
Body
application/json
Response
Estimate the time and GPU-seconds a model run on Tasks would take
⌘I
Estimate the time and GPU-seconds a model run on Tasks would take
curl --request POST \
--url https://api.nitsor.com/api/v1/model-runs/estimate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentSubject": "<string>",
"classMap": {
"categories": [
{
"classId": "<string>",
"modelClassIds": [
"<string>"
]
}
],
"notProduced": [
"<string>"
]
},
"projectId": "<string>",
"taskIds": [
"<string>"
]
}
'import requests
url = "https://api.nitsor.com/api/v1/model-runs/estimate"
payload = {
"agentSubject": "<string>",
"classMap": {
"categories": [
{
"classId": "<string>",
"modelClassIds": ["<string>"]
}
],
"notProduced": ["<string>"]
},
"projectId": "<string>",
"taskIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentSubject: '<string>',
classMap: {
categories: [{classId: '<string>', modelClassIds: ['<string>']}],
notProduced: ['<string>']
},
projectId: '<string>',
taskIds: ['<string>']
})
};
fetch('https://api.nitsor.com/api/v1/model-runs/estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/model-runs/estimate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agentSubject' => '<string>',
'classMap' => [
'categories' => [
[
'classId' => '<string>',
'modelClassIds' => [
'<string>'
]
]
],
'notProduced' => [
'<string>'
]
],
'projectId' => '<string>',
'taskIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/model-runs/estimate"
payload := strings.NewReader("{\n \"agentSubject\": \"<string>\",\n \"classMap\": {\n \"categories\": [\n {\n \"classId\": \"<string>\",\n \"modelClassIds\": [\n \"<string>\"\n ]\n }\n ],\n \"notProduced\": [\n \"<string>\"\n ]\n },\n \"projectId\": \"<string>\",\n \"taskIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/model-runs/estimate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agentSubject\": \"<string>\",\n \"classMap\": {\n \"categories\": [\n {\n \"classId\": \"<string>\",\n \"modelClassIds\": [\n \"<string>\"\n ]\n }\n ],\n \"notProduced\": [\n \"<string>\"\n ]\n },\n \"projectId\": \"<string>\",\n \"taskIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/model-runs/estimate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agentSubject\": \"<string>\",\n \"classMap\": {\n \"categories\": [\n {\n \"classId\": \"<string>\",\n \"modelClassIds\": [\n \"<string>\"\n ]\n }\n ],\n \"notProduced\": [\n \"<string>\"\n ]\n },\n \"projectId\": \"<string>\",\n \"taskIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"agentSubject": "<string>",
"allowanceGpuSeconds": 1,
"expectedGpuSeconds": 1,
"imageDigest": "<string>",
"modelFamily": "<string>",
"modelVersion": "<string>",
"notProduced": [
"<string>"
],
"perScanReservationSeconds": 123,
"price": null,
"rateVersion": "<string>",
"scans": [
{
"replaces": {
"jobId": "<string>",
"state": "result"
},
"status": "counted",
"taskId": "<string>"
}
],
"targets": [
"<string>"
]
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}